Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Object.cpp File Reference

`#include "Object.h"`
`#include "Stub.h"`
`#include "Profile.h"`
`#include "ORB_Core.h"`
`#include "Connector_Registry.h"`
`#include "LocateRequest_Invocation_Adapter.h"`
`#include "debug.h"`
`#include "Dynamic_Adapter.h"`
`#include "IFR_Client_Adapter.h"`
`#include "Remote_Object_Proxy_Broker.h"`
`#include "ace/Dynamic_Service.h"`
`#include "tao/Object.i"`

Include dependency graph for Object.cpp:

## Namespaces
namespace | TAO
## Defines
#define | TAO_OBJECT_IOR_EVALUATE
#define | TAO_OBJECT_IOR_EVALUATE_RETURN
## Functions
const char * | get_rcsid_tao_Object (const char *)
CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, const CORBA::Object *x)
CORBA::Boolean | operator>> (TAO_InputCDR &cdr, CORBA::Object *&x)
## Variables
const char * | rcsid_tao_Object = get_rcsid_tao_Object ( rcsid_tao_Object )
TAO::Object_Proxy_Broker *(* | _TAO_Object_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0

## Define Documentation

#define TAO_OBJECT_IOR_EVALUATE

| Value:
    if (!this->is_evaluated_) \
      { \
        ACE_GUARD (ACE_Lock , mon, *this->refcount_lock_); \
        CORBA::Object::tao_object_initialize (this); \
      }

#define TAO_OBJECT_IOR_EVALUATE_RETURN

| Value:
    if (!this->is_evaluated_) \
      { \
        ACE_GUARD_RETURN (ACE_Lock , mon, *this->refcount_lock_, 0); \
        if (!this->is_evaluated_) \
          CORBA::Object::tao_object_initialize (this); \
      }

## Function Documentation

const char* get_rcsid_tao_Object | ( | const char * |  | ) | `[inline, static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | const CORBA::Object * | x
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | CORBA::Object *& | x
| ) |

## Variable Documentation

TAO::Object_Proxy_Broker*(* _TAO_Object_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

| This function pointer is set only when the Portable server library is present.

const char* rcsid_tao_Object = get_rcsid_tao_Object ( rcsid_tao_Object )`[static]`